Peplink Portal Docs
Starlink Devices

Create a Starlink Device

Create a Starlink device and assign it to a Starlink account.

Required Capabilities

Starlink Manager

Request

POST/starlink/devices

Body parameters

starlinkKitSerialNumberstringrequired

Kit serial number of the Starlink device to create.

starlinkAccountRefIdstringrequired

Reference ID of the Starlink account to assign the device to.

Response

200 The device is created successfully

A json is returned in the response body with the following fields:

refIdstring

Reference ID of the device.

starlinkAccountRefIdstring

Reference ID of the Starlink account the device is assigned to.

starlinkServiceLineRefIdnullable string

Reference ID of the Starlink service line the device is assigned to. null if not applicable.

starlinkKitSerialNumberstring

Kit serial number of the Starlink device.

starlinkDishSerialNumbernullable string

Dish serial number of the Starlink device. null if not applicable.

starlinkUserTerminalIdnullable string

User terminal ID of the Starlink device. null if not applicable.

starlinkSyncobject

Starlink sync information of the device.

Show child attributes
starlinkSync.syncStatusnullable enum

The sync status of the device. null if not applicable.

  • PENDING — The sync is pending.
  • ABORTED — The sync has been aborted.
  • SYNCING — The sync is in progress.
  • SYNCED — The sync has completed.
starlinkSync.runCountnumber

The number of times the device sync has been run.

starlinkSync.runCountLimitnumber

The maximum number of times the device sync can be run.

starlinkSync.lastSyncedAtnullable datetime string

The last time the device was synced. null if not applicable.

createdAtdatetime string

Date and time the device was created.

createdBystring

Username of the user who created the device.

createdByEmailnullable string

Email of the user who created the device. null if not applicable.

updatedAtdatetime string

Date and time the device was last updated.

updatedBystring

Username of the user who last updated the device.

updatedByEmailnullable string

Email of the user who last updated the device. null if not applicable.

400 Request is invalid

No device is created as the request is invalid.

Check the response body for the error details.

Examples

Request

curl -X POST 'https://portal.peplink.com/api/e/v1/cp/starlink/devices' \  -H 'Authorization: Bearer {token}' \  -H 'Content-Type: application/json' \  --data-raw  '{"starlinkKitSerialNumber": "XXXX00000001","starlinkAccountRefId": "92"}'

Response

{
  "refId": "XXXX00000001",
  "starlinkAccountRefId": "92",
  "starlinkServiceLineRefId": null,
  "starlinkKitSerialNumber": "XXXX00000001",
  "starlinkDishSerialNumber": null,
  "starlinkUserTerminalId": null,
  "starlinkSync": {
    "syncStatus": "PENDING",
    "runCount": 0,
    "runCountLimit": 10,
    "lastSyncedAt": null
  },
  "createdAt": "2026-03-25T07:35:43.943Z",
  "createdBy": "John Smith",
  "createdByEmail": "[email protected]",
  "updatedAt": "2026-03-25T07:35:43.943Z",
  "updatedBy": "John Smith",
  "updatedByEmail": "[email protected]"
}

On this page